/* PrivateFrameworks/UIAutomation.framework
 *
 * Copyright © 2012, Apple Inc. All rights reserved.
 *
 ******************************************************************************/

#import <Foundation/NSObject.h>

@class NSDictionary, NSInvocation, UIAElementArray, UIAXElement;

@interface UIAElement : NSObject<NSCopying>
{
	UIAXElement *_uiaxElement;
	UIAElement *_parentElement;
	NSInvocation *_selfPatienceInvocation;
	double _createdTime;
	double _lastAccessedTime;
	BOOL _isValid;
	UIAElementArray *_elements;
	NSDictionary *_elementClassIndexSets;
}

+ (Class)_classForSimpleUIAXElement:(id)arg1;
+ (struct CGPoint)_convertPointFromCurrentInterfaceOrientation:(struct CGPoint)arg1;
+ (struct CGPoint)_convertPointToCurrentInterfaceOrientation:(struct CGPoint)arg1;
+ (struct CGRect)_convertRectFromCurrentInterfaceOrientation:(struct CGRect)arg1;
+ (struct CGRect)_convertRectToCurrentInterfaceOrientation:(struct CGRect)arg1;
+ (id)_countsString;
+ (BOOL)_delayForTimeInterval:(double)arg1;
+ (id)_elementWithUIAXElement:(id)arg1 parent:(id)arg2;
+ (id)_hitPointForObject:(id)arg1;
+ (id)_hitPointFromDictionary:(id)arg1;
+ (id)_invocationForInvoker:(id)arg1 selector:(SEL)arg2 arguments:(char *)arg3;
+ (id)_jsEscapedStringForString:(id)arg1;
+ (id)_jsMethodCallStringForInvoker:(id)arg1 selector:(SEL)arg2;
+ (id)_jsMethodNameForSelector:(SEL)arg1;
+ (id)_jsStringForDictionary:(id)arg1;
+ (id)_jsStringForInvocation:(id)arg1;
+ (id)_jsStringForInvocationPath:(id)arg1;
+ (id)_jsStringForObject:(id)arg1;
+ (id)_jsStringForRect:(struct CGRect)arg1;
+ (id)_jsStringForString:(id)arg1;
+ (id)_jsStringForUIAElement:(id)arg1;
+ (int)_liveCount;
+ (void)_logVerbosity:(unsigned int)arg1 format:(id)arg2;
+ (int)_maxCount;
+ (id)_nameForAXElement:(id)arg1;
+ (id)_patienceInvocationPathForUIAObject:(id)arg1;
+ (double)_patienceRetryInterval;
+ (id)_performInvocationPath:(id)arg1;
+ (id)_predicateForPredicateOrString:(id)arg1;
+ (id)_rectFromDictionary:(id)arg1;
+ (id)_setPatienceInvocation:(id)arg1 forUIAObject:(id)arg2;
+ (void)_setPatienceRetryInterval:(double)arg1;
+ (struct CGAffineTransform)_transformToRotateFromInterfaceOrientation:(int)arg1;
+ (struct CGAffineTransform)_transformToRotateToInterfaceOrientation:(int)arg1;
+ (Class)_uiaClassForClassName:(id)arg1;
+ (id)_valueForAXElement:(id)arg1;
+ (id)_waitForInvocationPath:(id)arg1;
+ (id)allKeys;
+ (id)attributeKeys;
+ (id)elementAtPosition:(struct CGPoint)arg1;
+ (id)elementForUIAXElement:(id)arg1;
+ (void)initialize;
+ (double)patience;
+ (double)popPatience;
+ (void)pushPatience:(double)arg1;
+ (void)setPatience:(double)arg1;
+ (id)toManyRelationshipKeys;
+ (id)toOneRelationshipKeys;
- (double)_createdTime;
- (void)_delayForAnimationsInProgress;
- (void)_dragInsideWithOptions:(id)arg1 withFlick:(BOOL)arg2;
- (id)_elementAtPosition:(struct CGPoint)arg1;
- (id)_elementForSimpleUIAXElement:(id)arg1;
- (id)_elementForUIAXElement:(id)arg1;
- (id)_elementsForUIAXElements:(id)arg1;
- (id)_elementsForUIAXElements:(id)arg1 axFilter:(SEL)arg2;
- (id)_elementsOfClass:(Class)arg1 forSelector:(SEL)arg2;
- (void)_emptyCaches;
- (id)_hitpoint;
- (id)_initWithUIAXElement:(id)arg1 parent:(id)arg2;
- (BOOL)_inspectConfirmElement:(id)arg1 forAXAncestry:(id)arg2 index:(unsigned int *)arg3;
- (id)_inspectedElementForAXAncestry:(id)arg1 index:(unsigned int *)arg2 triedKeys:(id)arg3;
- (id)_inspectedToManyRelationship:(id)arg1 forAXAncestry:(id)arg2 index:(unsigned int *)arg3;
- (id)_inspectedToOneRelationship:(id)arg1 forAXAncestry:(id)arg2 index:(unsigned int *)arg3;
- (void)_invalidate;
- (double)_lastAccessedTime;
- (id)_logInfo;
- (id)_logInfoWithChildren;
- (id)_objectWithPatienceInvocationFromUIAObject:(id)arg1 selector:(SEL)arg2;
- (id)_patienceForAttribute:(SEL)arg1 value:(id)arg2;
- (void)_prepareForAction:(SEL)arg1;
- (void)_rotateWithOptions:(id)arg1;
- (id)_scriptingSynonymsForSubElement:(id)arg1 maxCount:(unsigned int)arg2;
- (id)_selfPatienceInvocation;
- (void)_setLastAccessedTime:(double)arg1;
- (void)_setSelfPatienceInvocation:(id)arg1;
- (BOOL)_shouldAllowSettingValue;
- (id)_synonymToManyRelationshipKeys;
- (id)_tryHitpoint:(struct CGPoint)arg1;
- (id)_uiaHitpoint;
- (id)_uiaRect;
- (id)actionSheet;
- (id)actionSheets;
- (void)activate;
- (id)activityIndicators;
- (id)activityView;
- (id)activityViews;
- (id)allKeys;
- (id)ancestry;
- (id)attributeKeys;
- (id)attributes;
- (id)buttons;
- (BOOL)checkIsValid;
- (void)chopPatience;
- (id)className;
- (id)collectionViews;
- (id)copyWithZone:(struct _NSZone *)arg1;
- (void)dealloc;
- (id)description;
- (id)dom;
- (void)doubleTap;
- (void)dragInsideWithOptions:(id)arg1;
- (id)editingMenus;
- (id)elementAtPoint:(id)arg1;
- (id)elements;
- (void)flickInsideWithOptions:(id)arg1;
- (id)hasKeyboardFocus;
- (id)hasRemoteFocus;
- (unsigned int)hash;
- (id)hint;
- (id)hitpoint;
- (id)images;
- (id)init;
- (id)isEnabled;
- (BOOL)isEqual:(id)arg1;
- (BOOL)isValid;
- (id)isVisible;
- (id)keyboard;
- (id)keyboards;
- (id)keys;
- (id)label;
- (id)links;
- (void)logAXInfo;
- (void)logAXTree;
- (void)logElement;
- (void)logElementTree;
- (id)mapViews;
- (id)name;
- (id)navigationBar;
- (id)navigationBars;
- (id)pageIndicators;
- (id)parentElement;
- (id)pickers;
- (id)pid;
- (id)popover;
- (id)popovers;
- (id)progressIndicators;
- (id)rect;
- (void)redo;
- (id)responder;
- (void)rotateWithOptions:(id)arg1;
- (id)scriptingActionExpressionShouldFavorTapOffset;
- (id)scriptingFavoredSynonymString;
- (id)scriptingInvocationFullExpressionString;
- (id)scriptingInvocationString;
- (id)scriptingSynonymFullExpressionString;
- (id)scriptingSynonymStrings;
- (id)scriptingSynonyms;
- (void)scrollDown;
- (void)scrollLeft;
- (void)scrollRight;
- (id)scrollToElementWithName:(id)arg1;
- (id)scrollToElementWithPredicate:(id)arg1;
- (id)scrollToElementWithValue:(id)arg1 forKey:(id)arg2;
- (id)scrollToVisible;
- (void)scrollUp;
- (id)scrollViews;
- (id)searchBars;
- (id)secureTextFields;
- (id)segmentedControls;
- (void)setValue:(id)arg1;
- (id)sliders;
- (id)staticTexts;
- (id)switches;
- (id)tabBar;
- (id)tabBars;
- (id)tableViews;
- (void)tap;
- (void)tapWithOptions:(id)arg1;
- (id)target;
- (id)textFields;
- (id)textViews;
- (id)toManyRelationshipKeys;
- (id)toManyRelationships;
- (id)toOneRelationshipKeys;
- (id)toOneRelationships;
- (id)toolbar;
- (id)toolbars;
- (void)touchAndHold:(id)arg1;
- (void)twoFingerTap;
- (id)type;
- (id)uiaxElement;
- (void)undo;
- (id)url;
- (id)value;
- (id)valueForUndefinedKey:(id)arg1;
- (BOOL)waitForInvalid;
- (id)webViews;
- (id)withName:(id)arg1;
- (id)withPredicate:(id)arg1;
- (id)withValue:(id)arg1 forKey:(id)arg2;

@end
