/* PrivateFrameworks/UIAutomation.framework
 *
 * Copyright © 2012, Apple Inc. All rights reserved.
 *
 ******************************************************************************/

#import <Foundation/NSObject.h>

@class NSInvocation;

@interface UIAElementNil : NSObject<NSFastEnumeration>
{
	NSInvocation *_selfPatienceInvocation;
	double _refreshedTime;
	double _lastAccessedTime;
}

+ (id)_elementNilWithInvocation:(id)arg1;
+ (int)_liveCount;
+ (int)_maxCount;
- (id)_elementNilWithPatienceInvocation:(SEL)arg1;
- (id)_initWithInvocation:(id)arg1;
- (BOOL)_isStillFreshAtTime:(double)arg1;
- (double)_lastAccessedTime;
- (id)_logInfoWithChildren;
- (id)_objectWithPatienceInvocationFromUIAObject:(id)arg1 selector:(SEL)arg2;
- (void)_raiseInvalidElementAction;
- (double)_refreshedTime;
- (id)_selfPatienceInvocation;
- (void)_setLastAccessedTime:(double)arg1;
- (void)_setSelfPatienceInvocation:(id)arg1;
- (id)actionSheet;
- (id)actionSheets;
- (void)activate;
- (id)activityIndicators;
- (id)activityView;
- (id)activityViews;
- (id)alert;
- (id)ancestry;
- (id)architecture;
- (id)bundleID;
- (id)bundlePath;
- (id)bundleVersion;
- (id)buttons;
- (id)cancelButton;
- (id)cells;
- (BOOL)checkIsValid;
- (id)collectionViews;
- (BOOL)containsObject:(id)arg1;
- (id)contentArea;
- (unsigned int)count;
- (unsigned int)countByEnumeratingWithState:(void *)arg2 count:(unsigned int)arg3;
- (void)dealloc;
- (id)defaultButton;
- (id)depth;
- (void)dismiss;
- (id)dom;
- (void)doubleTap;
- (void)dragInsideWithOptions:(id)arg1;
- (void)dragToValue:(id)arg1;
- (id)editingMenu;
- (id)editingMenus;
- (id)elementOfClass:(Class)arg1 atIndex:(unsigned int)arg2;
- (id)elements;
- (id)firstWithName:(id)arg1;
- (id)firstWithPredicate:(id)arg1;
- (id)firstWithValue:(id)arg1 forKey:(id)arg2;
- (void)flickInsideWithOptions:(id)arg1;
- (void)goToNextPage;
- (void)goToPreviousPage;
- (id)groups;
- (id)hasKeyboardFocus;
- (id)hasOpenMenu;
- (id)hasRemoteFocus;
- (id)headers;
- (id)helpTag;
- (id)hint;
- (id)hitpoint;
- (id)images;
- (unsigned int)indexOfObject:(id)arg1;
- (id)inputMode;
- (id)isBackgroundApp;
- (id)isCameraIrisOpen;
- (id)isEnabled;
- (id)isFront;
- (id)isSeparatorItem;
- (BOOL)isValid;
- (id)isVisible;
- (id)keyEquivalent;
- (id)keyEquivalentModifiers;
- (id)keyWindow;
- (id)keyboard;
- (id)keyboards;
- (id)keys;
- (id)label;
- (id)leftButton;
- (id)links;
- (id)localizations;
- (id)localizedStringForKey:(id)arg1;
- (id)localizedStringForKey:(id)arg1 value:(id)arg2 table:(id)arg3 bundlePath:(id)arg4;
- (id)localizedStringForKey:(id)arg1 withOptions:(id)arg2;
- (void)logAXInfo;
- (void)logAXTree;
- (void)logElement;
- (void)logElementTree;
- (id)mainWindow;
- (id)mapViews;
- (id)maxValue;
- (id)minValue;
- (id)name;
- (id)navigationBar;
- (id)navigationBars;
- (id)nsArray;
- (id)numberOfCells;
- (id)objectAtIndex:(unsigned int)arg1;
- (id)objectEnumerator;
- (id)orientation;
- (id)pageCount;
- (id)pageIndex;
- (id)pageIndicators;
- (id)parentElement;
- (id)pickers;
- (id)pid;
- (id)popover;
- (id)popovers;
- (id)progressIndicators;
- (id)rect;
- (id)responder;
- (id)reverseObjectEnumerator;
- (id)rightButton;
- (void)rotateWithOptions:(id)arg1;
- (id)scriptingInvocationFullExpressionString;
- (id)scriptingInvocationString;
- (void)scrollDown;
- (void)scrollLeft;
- (void)scrollRight;
- (id)scrollToElementWithName:(id)arg1;
- (id)scrollToElementWithPredicate:(id)arg1;
- (id)scrollToElementWithValue:(id)arg1 forKey:(id)arg2;
- (void)scrollToVisible;
- (void)scrollUp;
- (id)scrollViews;
- (id)searchBars;
- (id)secureTextFields;
- (id)segmentedControls;
- (void)selectPage:(id)arg1;
- (void)selectValue:(id)arg1;
- (id)selectedButton;
- (id)selectedValue;
- (void)setValue:(id)arg1;
- (id)sliders;
- (id)stateDescription;
- (id)staticTexts;
- (id)statusBar;
- (id)switcherScrollView;
- (id)switches;
- (id)tabBar;
- (id)tabBars;
- (id)tableViews;
- (void)tap;
- (void)tapWithOptions:(id)arg1;
- (id)target;
- (id)textFields;
- (id)textLength;
- (id)textViews;
- (id)toolbar;
- (id)toolbars;
- (void)touchAndHold:(id)arg1;
- (void)triggerDictationFromAudioInputPath:(id)arg1;
- (void)twoFingerTap;
- (void)typeString:(id)arg1;
- (id)url;
- (id)value;
- (id)values;
- (id)version;
- (id)visibleCells;
- (id)visibleFrame;
- (id)visibleGroups;
- (BOOL)waitForInvalid;
- (id)webViews;
- (id)wheels;
- (id)windows;
- (id)withName:(id)arg1;
- (id)withPredicate:(id)arg1;
- (id)withValue:(id)arg1 forKey:(id)arg2;

@end
