// UIAutomationTests UIAutomationTests.m
//
// Copyright © 2012, The OCCukes Organisation. All rights reserved.
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the “Software”), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
//	The above copyright notice and this permission notice shall be included in
//	all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED “AS IS,” WITHOUT WARRANTY OF ANY KIND, EITHER
// EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
// MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT. IN NO
// EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES
// OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
// DEALINGS IN THE SOFTWARE.
//
//------------------------------------------------------------------------------

#import "UIAutomationTests.h"

#import <UIAutomation/UIAutomation.h>

@implementation UIAutomationTests

- (void)testAutomationDidLoad
{
	UIATarget *localTarget = [[UIAutomation targetClass] localTarget];
	STAssertNotNil(localTarget, nil);
}

- (void)testFrontMostApp
{
	UIATarget *localTarget = [[UIAutomation targetClass] localTarget];
	UIAApplication *app = [localTarget frontMostApp];
	STAssertNotNil(app, nil);
}

- (void)testMainWindow
{
	UIATarget *localTarget = [[UIAutomation targetClass] localTarget];
	UIAApplication *app = [localTarget frontMostApp];
	UIAWindow *window = [app mainWindow];
	STAssertNotNil(window, nil);
}

- (void)testLocalTargetTap
{
	// Launch Safari in the iOS simulator to see the results of this
	// test. Launch Safari then run the tests. It taps the address bar.
	UIATarget *localTarget = [[UIAutomation targetClass] localTarget];
	[localTarget tap:[NSValue valueWithCGPoint:CGPointMake(20.0, 20.0)]];
}

- (void)testVersioning
{
	STAssertNotNil(UIAutomationVersionString(), nil);
	STAssertTrue(strcmp(@encode(typeof(kUIAutomationVersionString)), "^C") == 0, nil);
	STAssertTrue(strcmp(@encode(typeof(kUIAutomationVersionNumber)), "d") == 0, nil);
}

@end
